function MkgGraph()
{
    this.nodes = [];
    this.edges = [];

    this.init = function(data)
    {
        this.nodes = data.nodes;
        this.edges = data.edges;
    };

    this.merge = function(data)
    {
        this.nodes = this.nodes.concat(data.nodes);
        this.edges = this.edges.concat(data.edges);
    };


    this.render = function(el, renderer)
    {
        renderer.render(el, { nodes: this.nodes, edges: this.edges });
    }
}


function VisJsRenderer(options)
{
    this.options = options || {};

    this.render = function(el, data)
    {
        return new vis.Network(el, { nodes: data.nodes, edges: data.edges }, this.options);
    }
}